package main

import (
	"fmt"
	"log"
	"os"
	"strings"

	"github.com/pkg/diff"
)

func main() {
	got, err := os.Open("got")
	if err != nil {
		log.Fatal(err)
	}
	want, err := os.Open("want")
	if err != nil {
		log.Fatal(err)
	}
	var sb strings.Builder
	if err := diff.Text(got.Name(), want.Name(), got, want, &sb); err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%s\n", sb.String())
}
